From 08933bcd93d4f57ad73ab6df2f1627b93e61b459 Mon Sep 17 00:00:00 2001
From: Justin Pryzby <pryzbyj@telsasoft.com>
Date: Sun, 16 Jan 2022 12:51:13 -0600
Subject: [PATCH 6/7] wip: cirrus/windows: save tmp_install as an artifact..

..to allow users to easily download compiled binaries to try a patch.
If they don't have a development environment handy or not familiar with
compilation.

XXX: maybe this should be conditional or commented out ?

ci-os-only: windows
---
 .cirrus.yml | 8 ++++++++
 1 file changed, 8 insertions(+)

diff --git a/.cirrus.yml b/.cirrus.yml
index b56bdd337f..0d6d6a749d 100644
--- a/.cirrus.yml
+++ b/.cirrus.yml
@@ -472,6 +472,14 @@ task:
     cd src/tools/msvc
     %T_C% perl vcregress.pl ecpgcheck
 
+  always:
+    compress_install_script:
+      - powershell Compress-Archive tmp_install tmp_install.zip
+      - zipinfo tmp_install.zip
+
+    install_artifacts:
+      path: 'tmp_install.zip'
+
   on_failure:
     <<: *on_failure
     crashlog_artifacts:
-- 
2.17.1

